فا

‫ اخبار

سوء استفاده از آسیب‌پذیری سرویس دهنده ایمیل exim

سوء استفاده از آسیب‌پذیری سرویس دهنده ایمیل exim
طی ۱۰ روز گذشته، اطلاعاتی درخصوص آسیب‌پذیری سرویس دهنده ایمیل exim منتشر شد. این آسیب‌پذیری به شماره CVE-2019-10149 ثبت شده و ضعف آن از نوع صحت سنجی ورودی (CWE-20) است. آسیب‌پذیری نامبرده شده در تابع deliver_message() (در فایل deliver.c) که فرآیند بررسی آدرس گیرنده ایمیل در آن بررسی می‌شود، وجود دارد. مهاجم می‌تواند با ارسال payload مناسب از راه دور، از سرور ایمیل اخذ دسترسی کرده و آن را به کنترل خود دربیاورد. این آسیب‌پذیری در نسخه‌های 4.87 الی 4.91 وجود دارد، نسخه 4.92 از ماه قبل منتشر شده که این ناامنی در آن رفع شده است. با بروزرسانی سرویس دهنده mail می‌توان این ضعف امنیتی را مرتفع کرد. بررسی اولیه نشان می‌دهد بخش بزرگی از آسیب‌پذیری در سطح کشور مربوط به شرکت‌های ارائه دهنده خدمات میزبانی وب اشتراکی است. اطلاع رسانی به مالکین سرویس دهنده‌های آسیب‌پذیر در حال انجام است.
با توجه به شدت گرفتن سوءاستفاده مهاجمین از این آسیب‌پذیری در روزهای اخیر، در صورتی که سروری آسیب‌پذیر از این نوع در اختیار دارید، لازم است علاوه بر بروزرسانی و رفع آسیب‌پذیری، نسبت به بررسی ردپاهای فارنزیکی و عدم ورود و تثبیت دسترسی مهاجم در سرور اطمینان حاصل کنید.
در لینک زیر اطلاعات مفیدی درخصوص این آسیب پذیری، وجود دارد:
https://www.openwall.com/lists/oss-security/2019/06/05/4
همچنین اطلاعیه اولیه سایت exim در این لینک در دسترس است:
http://www.exim.org/static/doc/security/CVE-2019-10149.txt


مشخصات خبر

تاریخ ایجاد: 28 خرداد 1398

برچسب‌ها

امتیاز

امتیاز شما
تعداد امتیازها: 0